Page MenuHomePhabricator

Migration of Collaboration team to Phabricator
Closed, ResolvedPublic

Description

Let's track progress on the migration of this team to Phabricator.

  • @Spage (Scrum master), @DannyH (Product Manager), @Quiddity (community liaison, bug filer extraordinaire)
  • Flow team has a Flow — backlog board. Every two-week sprint we moves tasks to a current iteration board we rename Flow — Sprint Y and move Done tasks to a new Sprint X column in the Flow — previous sprints board
  • (optional) Have you scheduled a team meeting with @Qgil to discuss the migration? (yyyy-mm-dd)
  • Blockers of the migration identified: (list the task numbers between {curly brackets})
  • Planned date for the migration/creation of a first real project: our sprint after bugs are migrated.
  • Do you plan to have all your projects moved by the end of 2014? Yes

(...)

  • More than half of our team members and ongoing sprints are working in Phabricator now (2014-12-09)
  • All our projects have been moved to Phabricator. Mission completion! (yyyy-mm-dd)

Event Timeline

Qgil created this task.Oct 23 2014, 7:54 AM
Qgil raised the priority of this task from to Medium.
Qgil updated the task description. (Show Details)
Qgil added a project: Project-Management.
Qgil changed Security from none to None.
Spage updated the task description. (Show Details)Oct 25 2014, 12:58 AM
Spage updated the task description. (Show Details)
Spage updated the task description. (Show Details)Oct 25 2014, 1:01 AM
Spage updated the task description. (Show Details)
Qgil updated the task description. (Show Details)Oct 25 2014, 6:57 AM
Qgil added a comment.Nov 27 2014, 8:10 AM

As per T434 , in the following days I plan to scan the levels of use of Phabricator by all the WMF product & engineering teams. Please keep the description of this task up to date.

Jdforrester-WMF renamed this task from Migration of Core Features team to Phabricator to Migration of Collaboration team to Phabricator.Dec 6 2014, 10:58 PM
Qgil added a comment.Dec 8 2014, 2:55 PM

Collaboration-Team-Triage has an active workboard. Yay!

So what is the situation now? Are you running a full sprint in Phabricator with tasks manually copied from Trello, and do you plan to continue working this way until the migration? Or do you have one project in Phabricator and others in Trello?

In T828#824996, @Qgil wrote:

So what is the situation now? Are you running a full sprint in Phabricator with tasks manually copied from Trello, and do you plan to continue working this way until the migration?

Yes. We're no longer making any changes in Trello, except to track what needs to be migrated to Phabricator. See e.g. "Send to Phabricator - Collaboration-Team board" at https://trello.com/b/HD0lBssr/flow-backlog .

We're using only the board at Collaboration-Team-Triage. Currently, we don't have a separate sprint board the way we did on Trello, but we're not ruling that out for the future.

Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF updated the task description. (Show Details)
Qgil moved this task from To Triage to Doing on the Phabricator board.Jan 12 2015, 10:26 AM

Remaining piece is migrating the cards in the Send to Phabricator - Collaboration-Team board column of Flow backlog Trello board.

Qgil closed this task as Resolved.Feb 23 2015, 10:54 AM

According to T821#1055193, this migration is now completed.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 12 2016, 11:53 AM